.gift-main .production__item {
  max-width: 100%;
  position: relative;
}

.gift-main .production__item .tile__title::after {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  content: "";
}

.gift-category .production__item {
  width: 100%;
  position: relative;
}

.gift-category .tile__title {
  font-size: 14px;
  line-height: 1.2em;
  max-height: calc(1.2em * 3);
  overflow: hidden;
  text-overflow: ellipsis;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 3;
}

.gift-category .production__img {
  max-width: 100%;
  aspect-ratio: 1 / 1;
  object-fit: contain;
}

.gift-category .production__info {
  flex: 1 1 auto;
}

.gift-category .production__info .button {
  position: relative;
  z-index: 2;
}

.gift-category .production__item .tile__title::after {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  content: "";
}

.gift-product .looked-outer-product img {
  max-width: 100%;
  aspect-ratio: 1 / 1;
  object-fit: contain;
}

.category-list {
  display: flex;
  padding: 0;
  margin-bottom: 2rem;
  gap: 8px;
  flex-wrap: wrap;
  list-style: none;
}

.category-list__item {
  display: block;
  width: max-content;
  margin-bottom: 0;
  white-space: nowrap;
  border-radius: 12px;
  background-color: var(--white);
}

.category-list__link {
  display: block;
  padding: 8px;
}

.filter-fieldset {

}

.filter-fieldset__wrapper {
  max-height: 240px;
  overflow: auto;
  transition: max-height 0.2s linear;
}


@media screen and (max-width: 767px) {
  .filter-fieldset__collapse .filter-fieldset__wrapper {
    max-height: 0px;
  }

  .filter_title {
    color: var(--main2);
    position: relative;
  }


  .filter_title::before,
  .filter_title::after {
    content: '';
    position: absolute;
    right: 10px;
    top: 50%;
    transform: translateY(-50%);
    width: 0;
    height: 0;
    border-left: 7px solid transparent;
    border-right: 7px solid transparent;
    border-bottom: 7px solid var(--main2);
  }

  .filter-fieldset__collapse .filter_title::before,
  .filter-fieldset__collapse .filter_title::after {
    border-bottom: 0 solid transparent;
    border-top: 7px solid var(--main2);
  }


  .filter_title::after {
    border-bottom-color: #efefef;
    margin-top: 2px
  }


  .filter-fieldset__collapse .filter_title::after {
    border-top-color: #efefef;
    margin-top: -2px;
  }
}

.page-link {
  color: #002677;
}

.page-link:hover {
  color: #e35205;
}

.page-item.active .page-link {
  color: #fff;
  border-color: #002677;
  background-color: #002677;
  transition: all .2s linear;
}

.page-item.active .page-link:hover {
  color: #fff;
  border-color: #e35205;
  background-color: #e35205;
}

.cart-link-mobile {
  position: fixed;
  bottom: 130px;
  right: 55px;
  z-index: 100;
}

.cart-link-mobile__link {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 56px;
  height: 56px;
  background-color: var(--main2);
  border-radius: 28px;
}

@media (min-width: 1200px) {
  .cart-link-mobile {
    display: none;
  }
}

button[type="submit"] {
  display: flex;
  gap: 8px;
  align-items: center;
}

button[type="submit"] .spinner-border + .spinner-border {
    display: none;
}